<template>
  <div class="wrapper">
    <side-bar>
      <template slot="links">
        <sidebar-link v-for="x in menus" :to="x.link" :name="x.name" :icon="x.icon"/>
        <!-- <sidebar-link to="/dashboard" name="ภาพรวมประเทศไทย" icon="ti-panel"/>
        <sidebar-link to="/covidall" name="ภาพรวมทั่วโลก" icon="ti-user"/> -->
      </template>
      
    </side-bar>
    <div class="main-panel">
      <top-navbar></top-navbar>

      <dashboard-content @click.native="toggleSidebar">

      </dashboard-content>

      <content-footer></content-footer>
    </div>
  </div>
</template>
<style lang="scss">
</style>
<script>
import TopNavbar from "./TopNavbar.vue";
import ContentFooter from "./ContentFooter.vue";
import DashboardContent from "./Content.vue";
import MobileMenu from "./MobileMenu";

export default {
  components: {
    TopNavbar,
    ContentFooter,
    DashboardContent,
    MobileMenu,

  },
  data(){
    return {
      menus:[
      {
        "name" :"ภาพรวมประเทศไทย",
        "icon" : "ti-map",
        "link" : "/dashboard"
      },
      {
        "name" :"ภาพรวมทั่วโลก",
        "icon" : "ti-world",
        "link" : "/covidall"
      },
       {
        "name" :"ติดตามข่าวสาร",
        "icon" : "ti-announcement",
        "link" : "/HealthNews"
      }
    ]
    }
  },
  methods: {
    toggleSidebar() {
      if (this.$sidebar.showSidebar) {
        this.$sidebar.displaySidebar(false);
      }
    }
  },
  mounted(){
    
  }
};
</script>
